List Courses
curl --request GET \
--url https://lms.terang.ai/api/courses \
--header 'x-api-key: <api-key>'import requests
url = "https://lms.terang.ai/api/courses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://lms.terang.ai/api/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"courses": [
{
"id": "1",
"name": "Pelatihan Kepemimpinan",
"code": "COURSE0001",
"description": "<string>",
"instructor": "Dr. Andi Wijaya",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enrollmentType": "code",
"enrollmentCode": "<string>",
"isPurchasable": true,
"price": 500000,
"priceNonMember": 750000,
"priceMahasiswa": 350000,
"currency": "IDR",
"previewMode": true,
"eventCode": "EVT-001",
"nilaiKum": 10,
"categoryId": 123,
"category": {
"id": 1,
"code": "MANAJEMEN",
"name": "Manajemen"
},
"thumbnail": "<string>",
"moduleCount": 5,
"moduleSummaries": [
{
"id": "<string>",
"title": "<string>",
"order": 123,
"chapterCount": 123
}
],
"modules": [
{
"id": "1",
"title": "Dasar Kepemimpinan",
"description": "<string>",
"order": 123,
"chapterCount": 4,
"chapters": [
{
"id": "1",
"title": "Apa itu Kepemimpinan",
"order": 1,
"contents": [
"<unknown>"
],
"quiz": "<unknown>",
"isUnlocked": true,
"completionPercentage": 0
}
],
"moduleQuiz": "<unknown>",
"isUnlocked": true,
"completionPercentage": 123
}
],
"admissions": {
"requirements": "Minimum 3 tahun pengalaman manajerial",
"applicationDeadline": "2023-11-07T05:31:56Z",
"prerequisites": "Tidak ada"
},
"academics": {
"requirements": "Minimum 3 tahun pengalaman manajerial",
"applicationDeadline": "2023-11-07T05:31:56Z",
"prerequisites": "Tidak ada"
},
"tuitionAndFinancing": {
"requirements": "Minimum 3 tahun pengalaman manajerial",
"applicationDeadline": "2023-11-07T05:31:56Z",
"prerequisites": "Tidak ada"
},
"careers": {
"requirements": "Minimum 3 tahun pengalaman manajerial",
"applicationDeadline": "2023-11-07T05:31:56Z",
"prerequisites": "Tidak ada"
},
"studentExperience": {
"requirements": "Minimum 3 tahun pengalaman manajerial",
"applicationDeadline": "2023-11-07T05:31:56Z",
"prerequisites": "Tidak ada"
},
"finalExam": {
"id": "final-exam",
"title": "Final Exam",
"type": "final",
"questions": [
"<unknown>"
],
"minimumScore": 70,
"attempts": 123,
"maxAttempts": 3,
"isPassed": true
},
"certificate": {
"isEligible": true,
"isGenerated": true
},
"minPassingScore": 70,
"totalProgress": 123,
"status": "not-started",
"studentCount": 42
}
],
"pagination": {
"page": 1,
"limit": 12,
"total": 25,
"totalPages": 3
}
}{
"success": false,
"error": "Rate limit exceeded"
}{
"success": false,
"error": "Rate limit exceeded"
}{
"success": false,
"error": "Rate limit exceeded"
}{
"success": false,
"error": "Rate limit exceeded"
}Courses
List Courses
Get a paginated list of published courses available in the public catalog.
GET
/
api
/
courses
List Courses
Authorizations
apiKeycookieAuth
API key generated under Teacher Dashboard → Kunci API. Format: lms_key_...
Query Parameters
Set to true to access the public catalog (only works with API key auth).
Page number (1-based). Default: 1.
Required range:
x >= 1Results per page (max 50). Default: 12.
Required range:
1 <= x <= 50Search courses by name, description, instructor, course code, or category.
Filter by category ID. Pass uncategorized for courses with no category.
Sort field: name, students, or modules. Default: newest first (by id).
Available options:
name, students, modules Direct deep-link to a specific course by ID.
⌘I